org.eclipse.wst.jsdt.chromium.debug.core.sourcemap

## Class PositionMapBuilderImpl

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.PositionMapBuilderImpl

All Implemented Interfaces:
  SourcePositionMapBuilder

    public class PositionMapBuilderImpl
    extends java.lang.Object
    implements SourcePositionMapBuilder

Implementation of `SourcePositionMapBuilder` and `SourcePositionMap`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.debug.core.sourcemap.SourcePositionMapBuilder

`SourcePositionMapBuilder.CannotAddException, SourcePositionMapBuilder.MappingHandle, SourcePositionMapBuilder.ResourceSection`

### Constructor Summary

Constructors
Constructor and Description
`PositionMapBuilderImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SourcePositionMapBuilder.MappingHandle` `addMapping(SourcePositionMapBuilder.ResourceSection originalSection, SourcePositionMapBuilder.ResourceSection vmSection, TextSectionMapping fromOriginalToVmSectionMapping)` Adds a new mapping between 2 resource sections.
`SourcePositionMap` `getSourcePositionMap()` Returns an instance of map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PositionMapBuilderImpl

    public PositionMapBuilderImpl()

### Method Detail

#### getSourcePositionMap

    public SourcePositionMap getSourcePositionMap()

Description copied from interface: `SourcePositionMapBuilder`
Returns an instance of map. The instance is permanent, the builder does not support multiple products.

Specified by:
  `getSourcePositionMap` in interface `SourcePositionMapBuilder`

#### addMapping

    public SourcePositionMapBuilder.MappingHandle addMapping(SourcePositionMapBuilder.ResourceSection originalSection,
                                                             SourcePositionMapBuilder.ResourceSection vmSection,
                                                             TextSectionMapping fromOriginalToVmSectionMapping)
                                                      throws SourcePositionMapBuilder.CannotAddException

Description copied from interface: `SourcePositionMapBuilder`
Adds a new mapping between 2 resource sections.

Specified by:
  `addMapping` in interface `SourcePositionMapBuilder`
Parameters:
  `originalSection` - a section of "original" resource
  `vmSection` - a section of "vm" resource
  `fromOriginalToVmSectionMapping` - defines internal mapping inside "original" and "vm" sections
Returns:
  a handle that could be used to control a created mapping
Throws:
  `SourcePositionMapBuilder.CannotAddException`